Interface ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- ReactiveStreamsEndpointBuilderFactory
public static interface ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilderreactiveStreams(String path)Reactive Streams (camel-reactive-streams) Exchange messages with reactive stream processing libraries compatible with the reactive streams standard.default ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilderreactiveStreams(String componentName, String path)Reactive Streams (camel-reactive-streams) Exchange messages with reactive stream processing libraries compatible with the reactive streams standard.
-
-
-
Method Detail
-
reactiveStreams
default ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilder reactiveStreams(String path)
Reactive Streams (camel-reactive-streams) Exchange messages with reactive stream processing libraries compatible with the reactive streams standard. Category: reactive,streams Since: 2.19 Maven coordinates: org.apache.camel:camel-reactive-streams Syntax:reactive-streams:streamPath parameter: stream Name of the stream channel used by the endpoint to exchange messages.- Parameters:
path- stream- Returns:
- the dsl builder
-
reactiveStreams
default ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilder reactiveStreams(String componentName, String path)
Reactive Streams (camel-reactive-streams) Exchange messages with reactive stream processing libraries compatible with the reactive streams standard. Category: reactive,streams Since: 2.19 Maven coordinates: org.apache.camel:camel-reactive-streams Syntax:reactive-streams:streamPath parameter: stream Name of the stream channel used by the endpoint to exchange messages.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- stream- Returns:
- the dsl builder
-
-